<?php

$wp_customize->add_panel(
	'luzuk_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'luzuk Premium')
	)
);

//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
    'title' => __( 'Site Logo/Title/Tagline', 'luzuk Premium' ),
    'panel' => 'luzuk_general_panel',
) );

addColorPalatOption($wp_customize, 'header_SiteTitleClr', 'title_tagline', 'Title Color', '#FAB915');
addColorPalatOption($wp_customize, 'header_SiteTaglineClr', 'title_tagline', 'Tagline Color', '#fff');

$wp_customize->add_setting( 'head_tagline_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'head_tagline_display', array( 'label' => 'Tagline Display', 'section' => 'title_tagline', 'settings' => 'head_tagline_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'luzuk_sticky_header_enable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_sticky_header_enable',
        array(
            'settings'      => 'luzuk_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


$sectionHeader = 'header_settings';


lzCustomLable($wp_customize, 'pages_logosetmaxwidth5', 'title_tagline', 'Set Logo Width & Height');

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100%', 'luzuk-premium' )

    )
);

// logo width

$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'range',
        'label'         => __( 'Width', 'luzuk-premium' )
    )
);

// logo height

$wp_customize->add_setting(
    'pages_logoTopsetmaxheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxheight',
    array(
        'settings'      => 'pages_logoTopsetmaxheight',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Height ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_headerlogo_margin', 'header_settings', 'Logo Margin');

$wp_customize->add_setting(
    'logo_logoTmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoTmargin',
    array(
        'settings'      => 'logo_logoTmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoRmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoRmargin',
    array(
        'settings'      => 'logo_logoRmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Right', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoBmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoBmargin',
    array(
        'settings'      => 'logo_logoBmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoLmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoLmargin',
    array(
        'settings'      => 'logo_logoLmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Left', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'header_tpheader', $sectionHeader, 'Top Header');

$wp_customize->add_setting(
    'tpheadtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'The result is a smooth and semi-solid foam', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'tpheadtxt',
    array(
        'settings'      => 'tpheadtxt',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Top Header Text', 'luzuk-premium' )
    )
);

// social media

lzCustomLable($wp_customize, 'appsmedia', 'header_settings', 'Social Media');

// FACEBOOK 
$wp_customize->add_setting('head_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_fb',
    array(
        'settings'      => 'head_fb',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);


// Instagram
$wp_customize->add_setting('head_insta',array('default'=> 'https://instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_insta',
    array(
        'settings'      => 'head_insta',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

// TWITTER
$wp_customize->add_setting('head_lin', array('default'=> 'https://linkedin.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_lin',
    array(
        'settings'      => 'head_lin',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Linkedin Url', 'luzuk-premium' )
    )
);

// pinterest
$wp_customize->add_setting('head_pint',array('default'=> 'https://in.pinterest.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('head_pint',
    array(
        'settings'      => 'head_pint',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_tpheadtxtClr', 'header_settings', 'Top Header Text Color', '#fff');

addColorPalatOption($wp_customize, 'header_tpheadsclicnClr', 'header_settings', 'Top Header Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'header_tpheadsclicnhvClr', 'header_settings', 'Top Header Social Icon Hover Color', '#FAB915');

addColorPalatOption($wp_customize, 'header_logobgClr', 'header_settings', 'Top Header BG Color', '#000');


lzCustomLable($wp_customize, 'search_fm_clr', 'header_settings', 'Search Form Setting');

addColorPalatOption($wp_customize, 'hdr_serchfmbgClr', 'header_settings', 'Search Form BG Color', '#FAB915');

addColorPalatOption($wp_customize, 'hdr_serchfmbrdClr', 'header_settings', 'Search Form Border Color', '#FAB915');

addColorPalatOption($wp_customize, 'hdr_serchfmtxtClr', 'header_settings', 'Search Form Text Color', '#fff');

addColorPalatOption($wp_customize, 'hdr_serchfmbtnicnClr', 'header_settings', 'Search Form Button Icon Color', '#202447');

addColorPalatOption($wp_customize, 'hdr_serchfmbtnbgClr', 'header_settings', 'Search Form Button BG Color', '#E7E7E7');

addColorPalatOption($wp_customize, 'hdr_serchfmbtnbghvClr', 'header_settings', 'Search Form Button BG Hover Color', '#FAB915');


lzCustomLable($wp_customize, 'sign_in_button_displaylabel', 'header_settings', 'Login In Setting');
// to show & hide another button
$wp_customize->add_setting( 'sign_in_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'sign_in_button_display', array( 'label' => 'Login Display', 'section' => 'header_settings', 'settings' => 'sign_in_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'sign_intitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Login' )
    )
);
$wp_customize->add_control(
    'sign_intitle',
    array(
        'settings'      => 'sign_intitle',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Sing In Text', 'luzuk-premium' )
    )
);


$wp_customize->add_setting('sign_inlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('sign_inlink',
    array(
        'settings'      => 'sign_inlink',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Add Link', 'luzuk-premium' )
    )
);


lzCustomLable($wp_customize, 'shop_button_displaylabel', 'header_settings', 'Shopping Cart Display Setting');
// to show & hide another button
$wp_customize->add_setting( 'shop_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'shop_button_display', array( 'label' => 'Shopping Cart Display', 'section' => 'header_settings', 'settings' => 'shop_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button


addColorPalatOption($wp_customize, 'hdr_carticonClr', 'header_settings', ' Icon & Text Color', '#fff');

addColorPalatOption($wp_customize, 'hdr_carticnhvClr', 'header_settings', 'Icon & Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'hdr_carticnBGClr', 'header_settings', 'Icon & Text BG Color', '#FAB915');


lzCustomLable($wp_customize, 'header_MenuColorssettings', $sectionHeader, 'Navigation Color');

addColorPalatOption($wp_customize, 'header_navbarbgClr', 'header_settings', 'Navigation Bar BG Color', '#202447');

addColorPalatOption($wp_customize, 'header_innpagetopmenusClr', 'header_settings', 'Inner Page Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Menus Hover Color', '#FAB915');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_settings', 'Active Menus Color', '#FAB915');

addColorPalatOption($wp_customize, 'header_topmenusacthvClr', 'header_settings', 'Menus Active & Hover Border Color', '#FAB915');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Header Sub Menus Color', '#3A3A3A');

addColorPalatOption($wp_customize, 'header_topsubmenusbrdclr', 'header_settings', 'Header Sub Menus Border Color', '#ccc');

addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active Color', '#fff');

addColorPalatOption($wp_customize, 'header_topsubmenushvbgColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active BG Color', '#000');

addColorPalatOption($wp_customize, 'header_submenusbgsscColor', 'header_settings', 'Dropdown Box BG Color', '#f7f7f7');

//addColorPalatOption($wp_customize, 'header_submenusbrdColor', 'header_settings', 'Dropdown Box Border Color', '#b46463'); 


lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#fff');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_settings', 'Menus Title Color', '#000');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuttlbgColor', 'header_settings', 'Menus Title BG Color', '#d5d5d5');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuColor', 'header_settings', 'Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenubgColor', 'header_settings', 'Menus BG Color', '#000');

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'luzuk Premium'),
	'panel' => 'luzuk_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'luzuk_template_color', 'colors', 'Theme Primary Color', '#202447');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#FAB915');

lzCustomLable($wp_customize, 'innheadr_heading', 'colors', 'Inner Header');


$wp_customize->add_setting(
    'innerheader_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '28px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innerheader_heading',
    array(
        'settings'      => 'innerheader_heading',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Heading Font Size', 'luzuk-premium' )

    )
);

$wp_customize->add_setting(
    'innheader_headingfontweight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '400', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innheader_headingfontweight',
    array(
        'settings'      => 'innheader_headingfontweight',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Heading Font Weight', 'luzuk-premium' )

    )
);

addColorPalatOption($wp_customize, 'innerpghead_headimgclr', 'colors', 'Inner Page Header Color', '#fff');


lzCustomLable($wp_customize, 'innheadr_Overlay', 'colors', 'Header Opacity');

$wp_customize->add_setting(
    'innheadr_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.8', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innheadr_Opacity',
    array(
        'settings'      => 'innheadr_Opacity',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgolyclr', 'colors', 'Inner Page Header Overlay Color', '#202447');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Inner Page Color');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgclr', 'colors', 'Inner Page Header BG Color', '#eeeeee');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_productpageboldtextcolor', 'colors', 'Inner Product Page Bold Text Color', '#000');
addColorPalatOption($wp_customize, 'template_innerpage_cartpgcontbgclr', 'colors', 'Inner Shop Page Contain Box BG Color', '#202447');

addColorPalatOption($wp_customize, 'template_innerpage_cartpageproducttitlecolor', 'colors', 'Inner Shop Page Product Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductprice_color', 'colors', 'Inner Shop Page Product Price Color', '#FAB915');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextcolcolor_color', 'colors', 'Other Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextbgsscolcolor_color', 'colors', 'Other Fields BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Links Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Links Hover Color', '#FAB915');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicon_color', 'colors', 'Inner Page Icons Color', '#202447');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkslistnosclr_color', 'colors', 'Inner Page List Number Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclr_color1', 'colors', 'Inner Page List Number Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionsidebarborderrs_color', 'colors', 'Inner Page Other Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquote_color', 'colors', 'Inner Page Blockquote BG Color', '#FAB915');

addColorPalatOption($wp_customize, 'innerpage_blockquotebrdClr', 'colors', 'Inner Page Blockquote Border Color', '#000');

addColorPalatOption($wp_customize, 'innerpage_blockquotetextClr', 'colors', 'Inner Page Blockquote Text Color', '#fff');



lzCustomLable($wp_customize, 'innerpg_produtcat', 'colors', 'Product Category Color');

addColorPalatOption($wp_customize, 'innerpg_produtcattitle', 'colors', 'Product Category Title Color', '#fff');

addColorPalatOption($wp_customize, 'innerpg_produtcatimgolyclr', 'colors', 'Product Category Image Overlar Color', '#000');


lzCustomLable($wp_customize, 'innerpg_singleproduct', 'colors', 'Single Product Page Color');

addColorPalatOption($wp_customize, 'innerpg_singleprdtsliderbtnbgclr', 'colors', 'Slider Arrow BG Color', '#f9d972');

addColorPalatOption($wp_customize, 'innerpg_singleprdtsliderbtnarrowclr', 'colors', 'Slider Arrow Color', '#202447');

addColorPalatOption($wp_customize, 'innerpg_singleprdtstitleclr', 'colors', 'Product Title Color', '#000');

addColorPalatOption($wp_customize, 'innerpg_singleprdtRpriceclr', 'colors', 'Product Regular Price Color', '#7D7B7B');

addColorPalatOption($wp_customize, 'innerpg_singleprdtspriceclr', 'colors', 'Product Selling Price Color', '#000');

addColorPalatOption($wp_customize, 'innerpg_singleprdtchektxtclr', 'colors', 'Product Checkout Text Color', '#C93139EF');

addColorPalatOption($wp_customize, 'innerpg_singleprdtstextclr', 'colors', 'Product Discription Text Color', '#707070');
addColorPalatOption($wp_customize, 'innerpgprodutviw_itmicnclr', 'colors', 'Product Viwe & Item Icon Color', '#FAB915');
addColorPalatOption($wp_customize, 'innerpg_singleprdtsothertextclr', 'colors', 'Product Other Text Color', '#000'); 

addColorPalatOption($wp_customize, 'innerpg_singleprdtsotheraddcartbtnbgclr', 'colors', 'Add To Cart Button BG Color', '#000');

addColorPalatOption($wp_customize, 'innerpg_singleprdtsreviewbtnbgclr', 'colors', 'Review Button BG Color', '#202447');

addColorPalatOption($wp_customize, 'innerpg_singleprdtsliderimgbrdclr', 'colors', 'Slider Image Border And Review Border Color', '#202447');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_pagination', 'colors', 'Pagination');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepagination_color', 'colors', 'Inner Page Pagination Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbg_color', 'colors', 'Inner Page Pagination BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborder_color', 'colors', 'Inner Page Pagination Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationactive_color', 'colors', 'Inner Page Pagination Hover & Active Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbgactive_color', 'colors', 'Inner Page Pagination BG Hover & Active Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborderactive_color', 'colors', 'Inner Page Pagination Border Hover & Active Color', '#000');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_sidebar', 'colors', 'Sidebar Color');

addColorPalatOption($wp_customize, 'luzuk_template_sibebr1clr', 'colors', 'Sidebar BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_sibebrbrdclr', 'colors', 'Sidebar Border Color', '#707070');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadclr', 'colors', 'Sidebar Title Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadbgclr', 'colors', 'Sidebar Title BG Color', '#2D3049');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbgclr', 'colors', 'Sidebar Form Background Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtntxtclr', 'colors', 'Sidebar Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnbgclr', 'colors', 'Sidebar Form Button BG Color', '#2D3049');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrlinksclr', 'colors', 'Sidebar Links Color', '#4D4545');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnicnclr', 'colors', 'Sidebar Menu Icon Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnicnbgbgclr', 'colors', 'Sidebar Menu Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnicnBGclr', 'colors', 'Sidebar Menu Links Icon Color', '#4D4545');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaytxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaybgsstxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text BG Color', '#b46463');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettnavbackttoarrdisplay', 'colors', 'Navigation Back To Top Arrow');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbgclr', 'colors', 'Site Navigation Icon Color', '#FAB915');

addColorPalatOption($wp_customize, 'luzuk_backttoparrhvclr', 'colors', 'Site Navigation Icon Hover Color', '#000');

//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'luzuk_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 

$wp_customize->add_setting(
        'luzuk_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'luzuk_breadcrumbhometxt',
        array(
            'settings'      => 'luzuk_breadcrumbhometxt',
            'section'       => 'luzuk_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here', 'luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Title Color', '#FAB915');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlehovercolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Title Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbtitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Current Title Color', '#FAB915');


// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_blogpage_settings',
	array(
		'title' => __( 'Blog Page Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'allblog_lblbuttonabtdisplay', 'luzuk_blogpage_settings', 'Post Date & Admin Display Setting');

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'luzuk_blogpage_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

// lzCustomLable($wp_customize, 'allblog_imgsize', 'luzuk_blogpage_settings', 'Post Image Size Setting');

// $wp_customize->add_setting(
//     'allblog_imgheight',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '315px', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'allblog_imgheight',
//     array(
//         'settings'      => 'allblog_imgheight',
//         'section'       => 'luzuk_blogpage_settings',
//         'type'          => 'text',
//         'label'         => __( 'Box Image Height', 'luzuk-premium' )
//     )
// );

lzCustomLable($wp_customize, 'allblog_heading2label', 'luzuk_blogpage_settings', 'Post Heading Font Size Setting');

$wp_customize->add_setting(
    'blogpages_innerpageheading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '18px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheading2',
    array(
        'settings'      => 'blogpages_innerpageheading2',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Size', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'blogpages_innpgheadweight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innpgheadweight',
    array(
        'settings'      => 'blogpages_innpgheadweight',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Weight', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'blgtxtlimit',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '94', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blgtxtlimit',
    array(
        'settings'      => 'blgtxtlimit',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Box Text Limit', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'allblog_clr', 'luzuk_blogpage_settings', 'Color Setting');

addColorPalatOption($wp_customize, 'innerpage_blogimghvclr', 'luzuk_blogpage_settings', 'Image Hover Color', '#282B45');

addColorPalatOption($wp_customize, 'innerpage_blogdateclr', 'luzuk_blogpage_settings', 'Date Text Color', '#fff');

addColorPalatOption($wp_customize, 'innerpage_blogdatebgclr', 'luzuk_blogpage_settings', 'Date BG Color', '#282B45');

addColorPalatOption($wp_customize, 'template_innerpage_blogttleclr', 'luzuk_blogpage_settings', 'Title Color', '#1B1A28');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogtextclr', 'luzuk_blogpage_settings', 'Text Color', '#1B1A28');


lzCustomLable($wp_customize, 'allblog_btndisplay', 'luzuk_blogpage_settings', 'Button Setting');

$wp_customize->add_setting(
    'blog_button2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_button2',
    array(
        'settings'      => 'blog_button2',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'innerpage_blogpgtxtclr', 'luzuk_blogpage_settings', 'Button Text Color', '#000');

addColorPalatOption($wp_customize, 'innerpage_blogpgtxthvclr', 'luzuk_blogpage_settings', 'Button Text Hover Color', '#FAB915');

addColorPalatOption($wp_customize, 'innerpage_blogpgbrdclr', 'luzuk_blogpage_settings', 'Button Border Color', '#868686');


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_area',
	array(
		'title' => __( 'Footer Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

backgroundManager($wp_customize, 'footer', 'footer_area', $color='#202447', get_template_directory_uri().'/images/default-graybg.png', 'img');

lzCustomLable($wp_customize, 'footer_areaPadding', 'footer_area', 'Footer Padding');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_areabottomfPadding', 'footer_area', 'Copyright Text Box Padding');

$wp_customize->add_setting(
    'sec_bottomareaTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareaTmargin',
    array(
        'settings'      => 'sec_bottomareaTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'sec_bottomareabottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareabottommargin',
    array(
        'settings'      => 'sec_bottomareabottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_copytext', 'footer_area', 'Footer Copyright Text');

$wp_customize->add_setting(
    'footer_area_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Copyright @ 2024 All Rights Reserved', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_copyrighttext',
    array(
        'settings'      => 'footer_area_copyrighttext',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Footer Copyright Text', 'luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'footerarea_Copyrightclr', 'footer_area', 'Copyright Text Color', '#202447');

addColorPalatOption($wp_customize, 'footerarea_Copyrightbgclr', 'footer_area', 'Copyright BG Color', '#F3F3F5');

lzCustomLable($wp_customize, 'newsletterbxbg', 'footer_area', 'Newsletter Box');

$wp_customize->add_setting(
    'news_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Get Our Latest Update !', 'luzuk' )
    )
);
$wp_customize->add_control(
    'news_maintitle',
    array(
        'settings'      => 'news_maintitle',
        'section'       => 'footer_area', 
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk' )
    )
);

lzCustomLable($wp_customize, 'newsletter_Form_label', 'footer_area', 'Newsletter Form Shortcode');

lzAddElement($wp_customize, 'luzuk_footerfm_shortcode', 'footer_area', 'text', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

addColorPalatOption($wp_customize, 'footerarea_newsfrmbgclr', 'footer_area', 'Newsletter Form Bg Color', '#373a5b');

// Footer  Color
lzCustomLable($wp_customize, 'footer_allcolor', 'footer_area', 'Footer Color');

addColorPalatOption($wp_customize, 'footerarea_title_color', 'footer_area', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_text_color', 'footer_area', 'Text Color', '#C8BEBE');

addColorPalatOption($wp_customize, 'footerarea_sicon_color', 'footer_area', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_siconhv_color', 'footer_area', 'Social Icon Hover Color', '#FAB915');

addColorPalatOption($wp_customize, 'footerarea_menu_color', 'footer_area', 'Menu Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_menuhover_color', 'footer_area', 'Menu Hover Color', '#FAB915');

addColorPalatOption($wp_customize, 'footerarea_activemenu_color', 'footer_area', 'Active Menu Color', '#FAB915');

addColorPalatOption($wp_customize, 'footerarea_menuicon_color', 'footer_area', 'Menu Icon Color', '#FAB915');

addColorPalatOption($wp_customize, 'footerarea_datext_color', 'footer_area', 'Date Text Color', '#fff');

addColorPalatOption($wp_customize, 'FooterAreatabgColor', 'footer_area', 'Form Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formtextlabel_color', 'footer_area', 'Label Color', '#202447');

addColorPalatOption($wp_customize, 'footerarea_fmlabelBGclr', 'footer_area', 'Label BG Color', '#E7E7E7');

addColorPalatOption($wp_customize, 'footerarea_formtext_color', 'footer_area', 'Form Text & Placeholder Text Color', '#707070');

addColorPalatOption($wp_customize, 'footerarea_formbuttontext_clr', 'footer_area', 'Form Button Text Color', '#202447');

addColorPalatOption($wp_customize, 'footerarea_formbtntxthv_clr', 'footer_area', 'Form Text Hover Color', '#FAB915');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbg_clr', 'footer_area', 'Form Button BG Color', '#E7E7E7');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbghv_clr', 'footer_area', 'Form Button BG Hover Color', '#fff');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_section(
	'luzuk_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_servicepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Services Shortcode Page Color'); 

lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Services Page Images Of Equal Height 360*310.');

$wp_customize->add_setting(
    'serpg_innepgtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '21px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'serpg_innepgtitle',
    array(
        'settings'      => 'serpg_innepgtitle',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Size', 'luzuk-premium' )

    )
);

$wp_customize->add_setting(
    'serpg_innepgtitlewgh',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'serpg_innepgtitlewgh',
    array(
        'settings'      => 'serpg_innepgtitlewgh',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Weight', 'luzuk-premium' )

    )
);

$wp_customize->add_setting(
    'sertxtlimit',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '45', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sertxtlimit',
    array(
        'settings'      => 'sertxtlimit',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Text Limit', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_InnSerconbxhvClr', 'luzuk_innerpageshortcode_page_settings', 'Content Box BG Color', '#202447');

addColorPalatOption($wp_customize, 'luzuk_InnSerTitleClr', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_InnSerTxtClr', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#fff');


$wp_customize->add_setting(
    'ser_button2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ser_button2',
    array(
        'settings'      => 'ser_button2',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_InnerServicentmbtniconColor', 'luzuk_innerpageshortcode_page_settings', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_InnSerbtnhvClr', 'luzuk_innerpageshortcode_page_settings', 'Button Text Hover Color', '#FAB915');



lzCustomLable($wp_customize, 'luzuk_teaminnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Team Shortcode Page Color');

lzCustomLable($wp_customize, 'luzuk_teampagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Team Member Images Of Equal Height.{285*360px}');

$wp_customize->add_setting(
    'teampg_innepgtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '22px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'teampg_innepgtitle',
    array(
        'settings'      => 'teampg_innepgtitle',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Size', 'luzuk-premium' )

    )
);

$wp_customize->add_setting(
    'teampg_innepgtitlewgh',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'teampg_innepgtitlewgh',
    array(
        'settings'      => 'teampg_innepgtitlewgh',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Weight', 'luzuk-premium' )

    )
);

addColorPalatOption($wp_customize, 'pages_InnerTeamSocialbxbgClr', 'luzuk_innerpageshortcode_page_settings', 'Social Icon BG Color', '#202447');

addColorPalatOption($wp_customize, 'pages_InnerTeamsocialsColor', 'luzuk_innerpageshortcode_page_settings', 'Box Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnerTeamsocialshvClr', 'luzuk_innerpageshortcode_page_settings', 'Box Social Icon Hover Color', '#FAB915');

addColorPalatOption($wp_customize, 'pages_InnerTeambxbgclr', 'luzuk_innerpageshortcode_page_settings', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnerTeamNameCColor', 'luzuk_innerpageshortcode_page_settings', 'Member Name Color', '#202447');

addColorPalatOption($wp_customize, 'pages_InnerTeamDesignationCColor', 'luzuk_innerpageshortcode_page_settings', 'Member Designation Color', '#202447');





lzCustomLable($wp_customize, 'luzuk_testimonialinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Testimonial Shortcode Page Color');

$wp_customize->add_setting(
    'testipg_innepgtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '20px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'testipg_innepgtitle',
    array(
        'settings'      => 'testipg_innepgtitle',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Size', 'luzuk-premium' )

    )
);

$wp_customize->add_setting(
    'testipg_innepgtitlewgh',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'testipg_innepgtitlewgh',
    array(
        'settings'      => 'testipg_innepgtitlewgh',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Weight', 'luzuk-premium' )

    )
);


addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bx2clr', 'luzuk_innerpageshortcode_page_settings', 'Box BG Color', '#e8e9ed');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_bxbrdclr', 'luzuk_innerpageshortcode_page_settings', 'Box Border Color', '#c1c2c7');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_quoteiconcolor', 'luzuk_innerpageshortcode_page_settings', 'Quote Icon Color', '#343440');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_Namecolor', 'luzuk_innerpageshortcode_page_settings', 'Client Name Color', '#404360');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_postioncolor', 'luzuk_innerpageshortcode_page_settings', 'Client Designation Color', '#404360');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_textcolor', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#9B9B9B');
 

lzCustomLable($wp_customize, 'luzuk_galleryinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Color');

lzCustomLable($wp_customize, 'luzuk_galleryinnerpagegallresclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Note: Kindly Use Gallery Image Of Same Resolution. Recomended Image Size Is 410x363px');

$wp_customize->add_setting(
    'gallinnpg_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '300px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'gallinnpg_imgheight',
    array(
        'settings'      => 'gallinnpg_imgheight',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Image Height', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'gallpg_innepgtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '18px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'gallpg_innepgtitle',
    array(
        'settings'      => 'gallpg_innepgtitle',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Size', 'luzuk-premium' )

    )
);

$wp_customize->add_setting(
    'gall_innepgtitlewgh',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'gall_innepgtitlewgh',
    array(
        'settings'      => 'gall_innepgtitlewgh',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Title Font Weight', 'luzuk-premium' )

    )
);

addColorPalatOption($wp_customize, 'luzuk_gallinnimgbrdClr', 'luzuk_innerpageshortcode_page_settings', 'Image Border Color', '#FAB915');

addColorPalatOption($wp_customize, 'luzuk_gallinntitleClr', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#000');

//addColorPalatOption($wp_customize, 'luzuk_gallinntitlebrdClr', 'luzuk_innerpageshortcode_page_settings', 'Title Border Color', '#707070');

addColorPalatOption($wp_customize, 'luzuk_gallinntitlebgClr', 'luzuk_innerpageshortcode_page_settings', 'Title BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_gallinntitlebghvClr', 'luzuk_innerpageshortcode_page_settings', 'Title BG Hover Color', '#FAB915');


lzCustomLable($wp_customize, 'luzuk_faqinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Faq Shortcode Page Color'); 

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleIconColor', 'luzuk_innerpageshortcode_page_settings', 'Select Question Icon Color', '#202447');

addColorPalatOption($wp_customize, 'luzuk_faqinnactIcnbgClr', 'luzuk_innerpageshortcode_page_settings', 'Select Question Icon BG Color', '#e7e7e7');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleColor', 'luzuk_innerpageshortcode_page_settings', 'Select Question Text Color', '#202447');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbgColor', 'luzuk_innerpageshortcode_page_settings', 'Select Question Box BG Color', '#e7e6eb');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxactbgClr', 'luzuk_innerpageshortcode_page_settings', 'Select Active Question Box BG Color', '#e7e6eb');

//addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxactbrdClr', 'luzuk_innerpageshortcode_page_settings', 'Select Active Question Box Border Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxnumbgClr', 'luzuk_innerpageshortcode_page_settings', 'Select  Question Number BG Color', '#202447');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxnumClr', 'luzuk_innerpageshortcode_page_settings', 'Select  Question Number Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxactnumClr', 'luzuk_innerpageshortcode_page_settings', 'Select Active Question Number Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetexbgClr', 'luzuk_innerpageshortcode_page_settings', 'Select Answer Text BG Color', '#e8e9ed');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetextcColor', 'luzuk_innerpageshortcode_page_settings', 'Select Answer Text Color', '#222038');

//addColorPalatOption($wp_customize, 'luzuk_faqinnerbedcClr', 'luzuk_innerpageshortcode_page_settings', 'Select Box Border Color', '#000');


$wp_customize->add_section(
	'luzuk_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

 lzCustomLable($wp_customize, 'luzuk_innerpage_titlepaddset', 'luzuk_innerpagefont_settings', ' Set Inner Header Padding');


$wp_customize->add_setting(
    'inner_headertitleboxTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxTpadding',
    array(
        'settings'      => 'inner_headertitleboxTpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'inner_headertitleboxBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxBpadding',
    array(
        'settings'      => 'inner_headertitleboxBpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_innerpageh1_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 1');

$wp_customize->add_setting(
	'pages_innerpageheading1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '36px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading1',
	array(
		'settings'      => 'pages_innerpageheading1',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight1',
    array(
        'settings'      => 'pages_innerpageheadingweight1',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 1 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading1_color', 'luzuk_innerpagefont_settings', 'Heading 1 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageh2_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 2');


$wp_customize->add_setting(
	'pages_innerpageheading2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '30px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading2',
	array(
		'settings'      => 'pages_innerpageheading2',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '400', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight2',
    array(
        'settings'      => 'pages_innerpageheadingweight2',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 2 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading2_color', 'luzuk_innerpagefont_settings', 'Heading 2 Color', '#000');

 
lzCustomLable($wp_customize, 'luzuk_innerpageh3_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 3');

$wp_customize->add_setting(
	'pages_innerpageheading3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '26px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading3',
	array(
		'settings'      => 'pages_innerpageheading3',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight3',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '400', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight3',
    array(
        'settings'      => 'pages_innerpageheadingweight3',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 3 Font Weight', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading3_color', 'luzuk_innerpagefont_settings', 'Heading 3 Color', '#000');


lzCustomLable($wp_customize, 'luzuk_innerpageh4_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 4');


$wp_customize->add_setting(
	'pages_innerpageheading4',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '24px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading4',
	array(
		'settings'      => 'pages_innerpageheading4',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight4',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '400', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight4',
    array(
        'settings'      => 'pages_innerpageheadingweight4',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 4 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading4_color', 'luzuk_innerpagefont_settings', 'Heading 4 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageh5_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 5');

$wp_customize->add_setting(
	'pages_innerpageheading5',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '22px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading5',
	array(
		'settings'      => 'pages_innerpageheading5',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight5',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '400', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight5',
    array(
        'settings'      => 'pages_innerpageheadingweight5',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 5 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading5_color', 'luzuk_innerpagefont_settings', 'Heading 5 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageh6_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 6');


$wp_customize->add_setting(
	'pages_innerpageheading6',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '20px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading6',
	array(
		'settings'      => 'pages_innerpageheading6',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight6',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight6',
    array(
        'settings'      => 'pages_innerpageheadingweight6',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 6 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading6_color', 'luzuk_innerpagefont_settings', 'Heading 6 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageextrahheading', 'luzuk_innerpagefont_settings', ' Heading Extra Color');
lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpagefont_settings', 'Note: Bold = Use <b></b> Tag & Heihlight = Use <span></span> Tag');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadingbold_clr', 'luzuk_innerpagefont_settings', 'Heading Bold Color', '#FAB915');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadinghigh_clr', 'luzuk_innerpagefont_settings', 'Heading / Text Highlight Color', '#b46463');

lzCustomLable($wp_customize, 'luzuk_innerpagebulletpoint', 'luzuk_innerpagefont_settings', ' Font Awesome Icon Setting');

$wp_customize->add_setting(
    'bulletpointicon',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '\f111', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bulletpointicon',
    array(
        'settings'      => 'bulletpointicon',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Add Font Awesome Icon 4.7', 'luzuk-premium' )
    )
);